<?php
/**
 * @version		2.6.x
 * @package		K2
 * @author		JoomlaWorks http://www.joomlaworks.net
 * @copyright	Copyright (c) 2006 - 2014 JoomlaWorks Ltd. All rights reserved.
 * @license		GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 */

// no direct access
defined('_JEXEC') or die;

Helix::addCSS('flexslider.css');
Helix::addJS('jquery.flexslider.js');

$lang = JFactory::getLanguage();

setlocale(LC_TIME, str_replace('-', '_', $lang->getTag()));

$date = JFactory::getDate();

?>

<!-- Up Coming Events JS -->	
	<script type="text/javascript">
	jQuery(document).ready(function($){
		$(window).load(function() {
			// The slider being synced must be initialized first
			$('#carousel').flexslider({
				animation: "slide",
				controlNav: false,
				animationLoop: false,
				slideshow: false,
				itemWidth: 40,
				itemMargin: 0,
				asNavFor: '#slider'
			});

			$('#slider').flexslider({
				directionNav: false,
				animation: "fade",
				controlNav: false,
				animationLoop: false,
				slideshow: false,
				sync: "#carousel"
			});
		});
	});
		
	</script>


<div id="k2ModuleBox<?php echo $module->id; ?>" class="k2ItemsBlock<?php if($params->get('moduleclass_sfx')) echo ' '.$params->get('moduleclass_sfx'); ?>">
	<div id="tab-wrap" class="upcoming_event">

	<?php if($params->get('itemPreText')): ?>
	<p class="modulePretext"><?php echo $params->get('itemPreText'); ?></p>
	<?php endif; ?>	

	<?php if(count($items)): ?>
  <div id="slider" class="flexslider">
  <ul class="slides">
    <?php foreach ($items as $key=>$item):	?>
    <li class="<?php echo ($key%2) ? "odd" : "even"; if(count($items)==$key+1) echo ' lastItem'; ?>">

      <!-- Plugins: BeforeDisplay -->
      <?php echo $item->event->BeforeDisplay; ?>

      <!-- K2 Plugins: K2BeforeDisplay -->
      <?php echo $item->event->K2BeforeDisplay; ?>

      <?php if($params->get('itemAuthorAvatar')): ?>
      <a class="k2Avatar moduleItemAuthorAvatar" rel="author" href="<?php echo $item->authorLink; ?>">
				<img src="<?php echo $item->authorAvatar; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" style="width:<?php echo $avatarWidth; ?>px;height:auto;" />
			</a>
      <?php endif; ?>

      <?php if($params->get('itemTitle')): ?>
      <a class="moduleItemTitle" href="<?php echo $item->link; ?>"><?php echo $item->title; ?></a>
      <?php endif; ?>

      <?php if($params->get('itemAuthor')): ?>
      <div class="moduleItemAuthor">
	      <?php echo K2HelperUtilities::writtenBy($item->authorGender); ?>
	
				<?php if(isset($item->authorLink)): ?>
				<a rel="author" title="<?php echo K2HelperUtilities::cleanHtml($item->author); ?>" href="<?php echo $item->authorLink; ?>"><?php echo $item->author; ?></a>
				<?php else: ?>
				<?php echo $item->author; ?>
				<?php endif; ?>
				
				<?php if($params->get('userDescription')): ?>
				<?php echo $item->authorDescription; ?>
				<?php endif; ?>
				
			</div>
			<?php endif; ?>

      <!-- Plugins: AfterDisplayTitle -->
      <?php echo $item->event->AfterDisplayTitle; ?>

      <!-- K2 Plugins: K2AfterDisplayTitle -->
      <?php echo $item->event->K2AfterDisplayTitle; ?>

      <!-- Plugins: BeforeDisplayContent -->
      <?php echo $item->event->BeforeDisplayContent; ?>

      <!-- K2 Plugins: K2BeforeDisplayContent -->
      <?php echo $item->event->K2BeforeDisplayContent; ?>

      <?php if($params->get('itemImage') || $params->get('itemIntroText')): ?>
      <div class="moduleItemIntrotext">
	      <?php if($params->get('itemImage') && isset($item->image)): ?>
	      <a class="moduleItemImage" href="<?php echo $item->link; ?>" title="<?php echo JText::_('K2_CONTINUE_READING'); ?> &quot;<?php echo K2HelperUtilities::cleanHtml($item->title); ?>&quot;">
	      	<img src="<?php echo $item->image; ?>" alt="<?php echo K2HelperUtilities::cleanHtml($item->title); ?>"/>
	      </a>
	      <?php endif; ?>

      	<?php if($params->get('itemIntroText')): ?>
      	<?php echo $item->introtext; ?>
      	<?php endif; ?>
      </div>
      <?php endif; ?>

      <!-- Date cast -->
      <?php 
      	$eventDate = strtotime($item->extraFields->Date->value); 
      	//$edate   = date('l, j F Y ', $eventDate);
      	$edate   = strftime('%A, %e %B %Y ', $eventDate);
		$eventMonth= strftime('%b', $eventDate);
		$eventDay= strftime('%e', $eventDate);
	  ?>

      <div class="item row-fuid">
      <?php if($params->get('itemExtraFields') && count($item->extra_fields)): ?>

	      <div class="big-date span3">
		    	<p><?php echo $eventDay; ?></p>
		    	<span><?php echo $eventMonth; ?></span> 
		  </div>
	 
      <div class="moduleItemExtraFields span9">
      	<div class="upevent_content">
      	<a href="<?php echo $item->link;?>"><h2><?php echo $item->title; ?></h2></a>
      	
      	<ul>
        <?php foreach ($item->extra_fields as $extraField): ?>
				<?php if($extraField->value != ''): ?>
				<?php if($extraField->alias != 'PurchaseLink'){ ?>
				<li class="type<?php echo ucfirst($extraField->type); ?> group<?php echo $extraField->group; ?>">
					<?php if($extraField->type == 'header'): ?>
					<h4 class="moduleItemExtraFieldsHeader"><?php echo $extraField->name; ?></h4>
					<?php else: ?>
						<?php if ($extraField->alias != 'Date'): ?>
							<span class="moduleItemExtraFieldsLabel"><?php echo $extraField->name; ?></span>
							<span class="moduleItemExtraFieldsValue"><?php echo $extraField->value; ?></span>
						<?php endif; ?>
						<?php if ($extraField->alias == 'Date'): ?>
							<span class="moduleItemExtraFieldsLabel">Date</span>
							<span class="moduleItemExtraFieldsValue"><?php echo $edate; ?></span>

						<?php endif ?>

					<?php endif; ?>
					<div class="clr"></div>
				</li>
				<?php } ?>
				<?php endif; ?>
        <?php endforeach; ?>
      	</ul>
	    </div>
      </div>

      <?php endif; ?>
      <div class="clr"></div>

    </li>
    <?php endforeach; ?>
    <li class="clearList"></li>
  </ul>
  </div>
  <?php endif; ?>

	<div class="clr"></div>

	<!-- date_list -->
	<?php if(count($items)): ?>
	  <div id="carousel" class="flexslider item_dateWrapper">
		  <ul class="slides item_date">
		    <?php foreach ($items as $key=>$item):	?>
		    <li class="<?php echo ($key%2) ? "odd" : "even"; if(count($items)==$key+1) echo ' lastItem'; ?>">
		    	<?php $eventDate = strtotime($item->extraFields->Date->value); 
		      		  $eventMonth= date('M', $eventDate);
		      		  $eventDay= date('d', $eventDate);
		      	?>
				<span><?php echo $eventDay; ?></span>
		      	<div class="clr"></div>
		    </li>
		    <?php endforeach; ?>
		  </ul>
	  </div>
	  <?php endif; ?>
	<!-- date_list -->
</div> 
</div>
