<?php
   /**
    * @version     1.5
    * @package     com_jticketing
    * @copyright   Copyright (C) 2014. All rights reserved.
    * @license     GNU General Public License version 2 or later; see LICENSE.txt
    * @author      Techjoomla <extensions@techjoomla.com> - http://techjoomla.com
    */
   // no direct access
   defined('_JEXEC') or die;

   jimport( 'joomla.html.html' );

   $document = JFactory::getDocument();
   $params = JComponentHelper::getParams( 'com_jticketing' );
   $order_currency =$params->get('currency');
   $jticketingmainhelper = new jticketingmainhelper();
   $app  = JFactory::getApplication();
   //Find Langitude Latitude of Location
   $imagePath = 'media/com_jticketing/images/';
   $imagePath = JRoute::_(JUri::base() . $imagePath . $this->item->image, false);
   $event_url='index.php?option=com_jticketing&view=event&id='.$this->item->id;
   $event_url=JUri::root().substr(JRoute::_($event_url),strlen(JUri::base(true))+1);
   $this->jt_params     = $app->getParams('com_jticketing');
   $this->enable_self_enrollment     =  $this->jt_params->get('enable_self_enrollment', '', 'INT');
   $this->supress_buy_button     =  $this->jt_params->get('supress_buy_button', '', 'INT');
   $this->accesslevels_for_enrollment     =  $this->jt_params->get('accesslevels_for_enrollment');
   $user   = JFactory::getUser();
   $groups = $user->getAuthorisedViewLevels();
   $guest  = $user->get('guest');
   $allow_access_level_enrollment = 0;

	if (!empty($this->accesslevels_for_enrollment)) {
		// Check access levels for enrollment
		foreach ($groups as $group) {
			if (in_array($group, $this->accesslevels_for_enrollment)) {
				$allow_access_level_enrollment = 1;
				break;
			}
	   }
	}

?>

<div class="<?php echo JTICKETING_WRAPPER_CLASS;?>">
   
      <div class="jticketing-event-details-wrap" itemscope itemtype="http://schema.org/Event">
         <div class="page-header" itemprop="name">
            <h2>
               <?php echo $this->escape($this->item->title); ?>
               <small><?php if (!empty($this->item->category_id_title)) echo $this->item->category_id_title; ?></small>
            </h2>
         </div>

         <?php
            //NATIVE EVENT MANAGER
            if($this->integration != 2) { ?>
            <div class="alert alert-info alert-help-inline">
               <?php echo JText::_('COMJTICKETING_INTEGRATION_NATIVE_NOTICE');   ?>
            </div>
            <?php return false; }

            $this->item->short_description=trim($this->item->short_description);
            //Integration with Jlike
            if(file_exists(JPATH_SITE.'/'.'components/com_jlike/helper.php')) {
               $show_comments = -1;
               $show_like_buttons = 1;

               $JTicketingIntegrationsHelper =new JTicketingIntegrationsHelper();
               $jlikehtml=$JTicketingIntegrationsHelper->DisplayjlikeButton($event_url, $this->item->id, $this->escape($this->item->title), $show_comments, $show_like_buttons);
               if($jlikehtml)
               echo $jlikehtml;
            }
            //Integration with Jlike 
         ?>

         <!-- Start Event Coundown Added by Rifat Wahid ALIF on 17 March 2014 12:10PM for Event Coundown -->
         <div class="vocal-coundown-wrapper">
            <?php 
               // setlocale(LC_ALL, 'ro_RO'); // for locale language time
               //$edate   = strftime("%A, %e %B %Y", $timestamp); // for locale language
               $today_date = JHtml::date(JFactory::getDate(), 'Ymd');
               $estart_date = JHtml::date($this->item->startdate, 'Ymd');
               $eend_date = JHtml::date($this->item->enddate, 'Ymd');
            ?>
            <?php if ($estart_date > $today_date): ?>
               <div id="defaultCountdown" class="sp_kcoundown" style="background-image: url(<?php echo $imagePath;?>);"></div>
            <?php elseif($eend_date > $today_date): ?>
               <div class="sp_kcoundown_over" style="background-image: url(<?php echo $imagePath;?>);">
                  <h1><?php echo JText::_('Event is Running !'); ?></h1>
               </div>
            <?php else: ?>   
               <div class="sp_kcoundown_over" style="background-image: url(<?php echo $imagePath;?>);">
                  <h1><?php echo JText::_('Event is over !'); ?></h1>
               </div>
            <?php endif ?>
         </div> <!-- /.vocal-coundown-wrapper -->
         <!-- END :: Coundown -->

         <!-- facebook intrigration -->
         <?php
            echo '<div id="fb-root"></div>';
            $fblike_tweet = JUri::root().'components/com_jticketing/assets/js/fblike.js';
            echo "<script type='text/javascript' src='".$fblike_tweet."'></script>";

            // set metadata
            $config=JFactory::getConfig();
            if(JVERSION>=3.0)
               $site_name=$config->get( 'sitename' );
            else
               $site_name=$config->getvalue( 'config.sitename' );

            $document->addCustomTag( '<meta property="og:title" content="'.$this->escape($this->item->title).'" />' );
            $document->addCustomTag( '<meta property="og:image" content="'.$imagePath.'" />' );
            $document->addCustomTag( '<meta property="og:url" content="'.$event_url.'" />' );
            $document->addCustomTag( '<meta property="og:description" content="'.nl2br($this->escape($this->item->short_description)).'" />' );
            $document->addCustomTag( '<meta property="og:site_name" content="'.$site_name.'" />' );
            $document->addCustomTag( '<meta property="og:type" content="event" />' );
            $pid=$params->get('addthis_publishid','GET','STRING');
            if($params->get('social_sharing'))
            {
               if($params->get('social_shring_type')=='addthis')
               {
                  $add_this_share='
                  <!-- AddThis Button BEGIN -->
                  <div class="addthis_toolbox addthis_default_style">

                  <a class="addthis_button_facebook_like" fb:like:layout="button_count" class="addthis_button" addthis:url="'.$event_url.'"></a>
                  <a class="addthis_button_google_plusone" g:plusone:size="medium" class="addthis_button" addthis:url="'.$event_url.'"></a>
                  <a class="addthis_button_tweet" class="addthis_button" addthis:url="'.$event_url.'"></a>
                  <a class="addthis_button_pinterest_pinit" class="addthis_button" addthis:url="'.$event_url.'"></a>
                  <a class="addthis_counter addthis_pill_style" class="addthis_button" addthis:url="'.$event_url.'"></a>
                  </div>
                  <script type="text/javascript">
                     var addthis_config ={ pubid: "'.$pid.'"};
                  </script>
                  <script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid="'.$pid.'"></script>
                  <!-- AddThis Button END -->' ;

                  $add_this_js='http://s7.addthis.com/js/300/addthis_widget.js';
                  $JTicketingIntegrationsHelper=new JTicketingIntegrationsHelper();
                  $JTicketingIntegrationsHelper->loadScriptOnce($add_this_js);
                  //output all social sharing buttons
                  echo' <div id="rr" style="">
                     <div class="social_share_container">
                     <div class="social_share_container_inner">'.
                        $add_this_share.
                     '</div>
                  </div>
                  </div>
                  ';
               }
               else
               {
                  echo '<div class="com_jticketing_horizontal_social_buttons">';
                  echo '<div class="com_jticketing_float_left">
                        <div class="fb-like" data-href="'.$event_url.'" data-send="true" data-layout="button_count" data-width="450" data-show-faces="true"></div>
                     </div>';
                  echo '<div class="com_jticketing_float_left">
                        &nbsp; <div class="g-plus" data-action="share" data-annotation="bubble" data-href="'.$event_url.'"></div>
                     </div>';
                  echo '<div class="com_jticketing_float_left">
                        &nbsp; <a href="https://twitter.com/share" class="twitter-share-button" data-url="'.$event_url.'" data-counturl="'.$event_url.'"  data-lang="en">Tweet</a>
                     </div>';
                  echo '</div>
                     <div class="com_jticketing_clear_both"></div>';
               }
            }
         ?>
         <!-- /. facebook intrigration -->

         <?php if($this->item->long_description && $this->item->short_description){ ?>
         <div class="jticket-item-details-wrap">
            <h2><?php echo JText::_('VOCAL_EVENT_INFO'); ?></h2>
            <div class="jticket-item-details">
               <span class="com_jticketing_hidden_span" itemprop="description">
                  <?php echo $this->item->short_description; ?>
               </span>
               <?php echo $this->item->long_description; ?>
            </div> <!-- /.jticket-item-introtext -->
         </div> <!-- /.jticket-item-details-wrap -->
         <?php } //has long or short description ?>

         <div class="event-date-wraper">
            <h2><?php echo JText::_("COM_JTICKETING_EVENT_TIME"); ?></h2>
            <span class="glyphicon glyphicon-time" aria-hidden="true"></span>
            <ul class="eventdtime unstyled">
               <li>
                  <i style="" class="icon-calendar "></i> 
                  <?php echo JFactory::getDate($this->item->startdate)->Format(JText::_('COM_JTICKETING_DATE_FORMAT_DETAILS_EVENT')); ?>
                  <strong> <?php echo JText::_("COM_JTICKETING_TO"); ?> </strong>
                  <?php echo JFactory::getDate($this->item->enddate)->Format(JText::_('COM_JTICKETING_DATE_FORMAT_DETAILS_EVENT')); ?>
               </li>
               <li>
                  <i style="" class="icon-time "></i>
                  <?php echo JFactory::getDate($this->item->startdate)->Format(JText::_('COM_JTICKETING_TIME_FORMAT_DETAILS_EVENT')); ?>
                  <strong> <?php echo JText::_("COM_JTICKETING_TO"); ?> </strong>
                  <?php echo JFactory::getDate($this->item->enddate)->Format(JText::_('COM_JTICKETING_TIME_FORMAT_DETAILS_EVENT')); ?>
               </li>
            </ul>
            <div class="clr"></div>
         </div>

         <!-- Buy Ticket price and button -->
         <div id="buy-ticket-wrap" class="buy_ticket">
            <h2><?php echo JText::_('TICKET_BOOKING_INFO'); ?></h2>

            <div class="buy-ticket-header row-fluid">
               <div class="buyticketintro span8">
                  <h3><?php echo JText::_("COM_JTICKETING_TICKET_BOOK_FROM"); ?></h3>
                  <div class="jticket-available-date">
                     <span class="catItemExtraFieldsValue">
                        <?php echo JFactory::getDate($this->item->booking_start_date)->Format(JText::_('COM_JTICKETING_DATE_FORMAT_DETAILS_EVENT')); ?>
                        <strong> <?php echo JText::_("COM_JTICKETING_TO"); ?> </strong>
                        <?php echo JFactory::getDate($this->item->booking_end_date)->Format(JText::_('COM_JTICKETING_DATE_FORMAT_DETAILS_EVENT')); ?>
                     </span>
                  </div> <!-- /.jticket-available-date -->
                  <div class="clr"></div>
               </div> <!-- /.buyticketintro -->

               <div class="action-button span4 text-right">
                  <?php if($this->showbuybutton){
                     $user_authorised_enroll = 0;
                     $user_authorised_enroll = JFactory::getUser()->authorise('core.enroll','com_jticketing.event.'.$this->item->id);
                     if ($this->enable_self_enrollment == 1 and $allow_access_level_enrollment == 1 and !empty($user_authorised_enroll)){ ?>
                        <a
                           href="<?php echo JRoute::_('index.php?option=com_jticketing&task=orders.bookTicket&eventid='.$this->item->id.'&Itemid='.$this->buyTicketItemId,false);?>"
                           class="btn btn-primary com_jticketing_button">
                        <?php echo JText::_('COM_JTICKETING_ENROLL_BUTTON'); ?>
                        </a>
                     <?php }else{ ?>
                        <a href="<?php echo JRoute::_('index.php?option=com_jticketing&view=buy&layout=default&eventid='.$this->item->id.'&Itemid='.$this->buyTicketItemId,false);?>" class="btn btn-primary com_jticketing_button">
                           <?php echo JText::_('VOCAL_BUY_TICKET'); ?>
                        </a>
                     <?php } ?>
                  <?php } ?>
               </div> <!-- /.action-button -->

             </div> <!-- /.buy-ticekt-wrapper -->

            <?php if( (is_array($this->GetTicketTypes)) && (count($this->GetTicketTypes))): ?>
               <div class="ticket-details-default">
                  <h2><?php echo JText::_("TICKET_DETAILS"); ?></h2>
                  <table class="table table-responsive table-hover">
                     <thead>
                        <td><strong><?php echo JText::_('COM_JTICKETING_TICKET_TYPE_TITLE'); ?></strong></td>
                        <td><strong><?php echo JText::_('COM_JTICKETING_TICKET_TYPE_PRICE');?></strong></td>
                        <td><strong><?php echo JText::_('COM_JTICKETING_TICKET_TYPE_AVAILABLE');?></strong></td>
                     </thead>
                     <tbody>
                     <?php foreach($this->GetTicketTypes as $tickettypes) {
                           if ($tickettypes->hide_ticket_type or ($tickettypes->unlimited_seats!=1 and $tickettypes->count<=0)) {
                              continue;
                           } ?>
                        <tr> 
                           <td> <?php echo $tickettypes->title; ?> </td>
                           <td>
                              <?php echo $jticketingmainhelper->getFromattedPrice( number_format(($tickettypes->price),2),$order_currency); ?>
                           </td>
                           <td>
                              <?php if($tickettypes->unlimited_seats) {
                                 echo JText::_('COM_JTICKETING_BUY_UNLIM_SEATS');
                              }else{
                                 echo $tickettypes->count.'/'.$tickettypes->available;
                              } ?>
                           </td>
                        </tr>
                     <?php } ?>
                     </tbody>
                  </table>
               </div> <!-- /.ticket-details-default -->
            <?php endif;?>
                     
         </div>
         <!-- /.buy_ticket -->

         <?php if ($this->extraData) { ?>
            <div class="jticketing-extrafields">
               <?php echo $this->loadTemplate('extrafields'); ?>
            </div>
         <?php } ?>

         <div class="jticket-event-map">
            <?php echo $this->loadTemplate('location'); ?>
         </div> <!-- /.jticket-event-map -->

      </div> <!-- /.jticketing-event-details-wrap -->
   
</div> <!-- /.JTICKETING_WRAPPER_CLASS -->

<?php 
   $kdate = $this->item->startdate; 
   //$event_date = strtotime($kdate);
?>

<script>
jQuery(function ($) {
   var austDay = new Date();
   austDay = new Date(<?php echo JHtml::date($kdate , 'Y'); ?>, <?php echo JHtml::date($kdate , 'm'); ?>-1, <?php echo JHtml::date($kdate , 'd'); ?>);
   austDay.setHours('<?php echo JHtml::date($kdate , 'H'); ?>');
   austDay.setMinutes('<?php echo JHtml::date($kdate , 'i'); ?>');
   $('#defaultCountdown').countdown({until: austDay});
   
});
</script>

<?php
//Integration with Jlike
if(file_exists(JPATH_SITE.'/'.'components/com_jlike/helper.php')){
$show_comments = 1;
$show_like_buttons = 0;
$JTicketingIntegrationsHelper =new JTicketingIntegrationsHelper();
$jlikehtml=$JTicketingIntegrationsHelper->DisplayjlikeButton($event_url, $this->item->id, $this->escape($this->item->title), $show_comments, $show_like_buttons);
if($jlikehtml)
   echo $jlikehtml;
}
//Integration with Jlike
