<?php
/**
 * @version    SVN: <svn_id>
 * @package    JTicketing
 * @author     Techjoomla <extensions@techjoomla.com>
 * @copyright  Copyright (c) 2009-2015 TechJoomla. All rights reserved.
 * @license    GNU General Public License version 2 or later.
 */
defined('_JEXEC') or die('Restricted access');
jimport('joomla.utilities.date');
jimport('joomla.filter.output');

require_once JPATH_SITE . "/components/com_jticketing/helpers/main.php";
$jticketingmainhelper = new jticketingmainhelper;
$jticketingfrontendhelper = JPATH_ROOT .'/components/com_jticketing/helpers/frontendhelper.php';

if (!class_exists('jticketingfrontendhelper'))
{
	JLoader::register('jticketingfrontendhelper', $jticketingfrontendhelper);
	JLoader::load('jticketingfrontendhelper');
}

// Load assets
$jticketingfrontendhelperclass =new jticketingfrontendhelper;
$jticketingfrontendhelperclass->loadjticketingAssetFiles();
$document           = JFactory::getDocument();
$bootstrapclass     = "";
$tableclass         = "admintable";
$buttonclass        = "button";
$buttonclassprimary = "button";
$com_params     = JComponentHelper::getParams('com_jticketing');
$integration    = $com_params->get('integration');
$currency       = $com_params->get('currency');
$eventowner_buy = $com_params->get('eventowner_buy');

if (JVERSION >= 3.0)
{
	jimport('joomla.html.html.bootstrap');
}

$module       = JModuleHelper::getModule('mod_jticketing_buy');
$moduleParams = json_decode($module->params);
$bootstrapclass     = "techjoomla-bootstrap";
$tableclass         = "admintable table table-striped table-hover";
$buttonclass        = "btn";
$buttonclassprimary = "btn btn-primary";
$input    = JFactory::getApplication()->input;
$document = JFactory::getDocument();
$user     = JFactory::getUser();
$Itemid = $input->get('Itemid', '', 'INT');
$session = JFactory::getSession();
$backlink = JUri::current();
$session->set('backlink', $backlink);
$eventid = '';
$eventid = $input->get('eventid', '', 'INT');

if ($integration == 3)
{
	$eventid = $input->get('eventid');

	if (!$eventid)
	{
		$view = $input->get('view');
		$task = $input->get('task');

		if ($task == 'icalevent.detail')
		{
			$eventid = $input->get('evid', '', 'INT');
		}
		elseif ($view == 'icalrepeat' or $task == 'icalrepeat.detail')
		{
			$rp_id = $input->get('evid', '', 'INT');

			if ($rp_id)
			{
				$eventid = $jticketingmainhelper->getEventDetailsid($rp_id);
			}
			else
			{
				return;
			}
		}
		else
		{
			return;
		}
	}
	else
	{
		$eventid = $jticketingmainhelper->getEventDetailsid($eventid);
	}
}

if ($integration == 2 || $integration == 4)
{
	$eventid = $input->get('id', '', 'INT');
}


$eventdata = $jticketingmainhelper->getEventDetails($eventid);
$eventtickets = $jticketingmainhelper->getEventInfo($eventid);

if (!$eventtickets)
{
	return false;
}

if ($eventtickets[0]->enddate == '0000-00-00')
{
	$eventtickets[0]->enddate = $eventtickets[0]->startdate;
}

$todays_date = date("Y-m-d");
$eventtime   = strtotime($eventtickets[0]->enddate);
$todaytime   = strtotime($todays_date);

if ($eventtime >= $todaytime)
{
	$valid = "yes";
}
else
{
	$valid = "no";
}

if ($valid == "yes")
{
	$available_tickets = '';
	$available_tickets = $jticketingmainhelper->getAvailableTickets($eventid);
	$eventowner        = $jticketingmainhelper->getEventCreator($eventid);
	$ispaidevent   = $jticketingmainhelper->isPaidEvent($eventid);
	$isEventbought = $jticketingmainhelper->isEventbought($eventid);
	$js_key = '
	var availabletickets="' . $available_tickets . '";
	var ispaidevent="' . $ispaidevent . '";
	var isEventbought="' . $isEventbought . '";

	function calprice(val,tp)
	{
		var tprice = val*tp;
		document.getElementById("totalprice").value = tprice;
		document.getElementById("totalpricespan").innerHTML = tprice;

	}
	function checkforalpha(el)
		{
			var i =0 ;
			for(i=0;i<el.value.length;i++){
			  if((el.value.charCodeAt(i) > 64 && el.value.charCodeAt(i) < 92) || (el.value.charCodeAt(i) > 96 && el.value.charCodeAt(i) < 123))
			  { alert("Please Enter Numerics"); el.value = el.value.substring(0,i); break;}

			}
		}

	';

	// If Event with unlimited seats then ignore if all event type avalaible count is  0 otherwise hide module
	$paideventype    = 0;
	$showbuybutton = $jticketingmainhelper->showbuybutton($eventid);


	if ($integration == 1 || $integration == 4)
	{
		if ($integration == 1)
		{
			$xml       = JFactory::getXML(JPATH_ROOT . '/administrator/components/com_community/community.xml');

			if($xml->version)
			{
				$jsversion = (float) $xml->version;
			}
		}

		if (empty($user->id) and $paideventype == 1 and $integration == 1)
		{
			if ($jsversion >= 3)
			{
				$js_key .= 'jQuery(document).ready(function(){	 jQuery(".cEvent-Rsvp").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';
				$js_key .= 'jQuery(document).ready(function(){	 jQuery(".joms-focus__actions--desktop").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';

			}
			else
			{
				$js_key .= 'jQuery(document).ready(function(){	 jQuery("#community-event-rsvp").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';
			}

			$document->addScriptDeclaration($js_key);
		}

		if (!$showbuybutton and $paideventype == 1)
		{
			if ($integration == 4)
			{
				// $js_key .= 'jQuery(document).ready(function(){	 jQuery(".media-meta").html("' . JText::_('TICKET_RSVP_UNAVAILABLE') . '")	});';
			}

			if ($jsversion >= 3 and $integration == 1 and  empty($isEventbought))
			{
				$js_key .= 'jQuery(document).ready(function(){	 jQuery(".cEvent-Rsvp").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';
				$js_key .= 'jQuery(document).ready(function(){	 jQuery(".joms-focus__actions--desktop").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';

			}
			else
			{
				$rsvp_text = JText::_('TICKET_RSVP_UNAVAILABLE');
				$js_key .= 'jQuery(document).ready(function(){	 jQuery("#community-event-rsvp").html("' . $rsvp_text . '")	});';
			}
		}
		elseif ($showbuybutton and empty($isEventbought))
		{

			if ($integration == 4)
			{
				$js_key .= 'jQuery(document).ready(function(){	 jQuery(".media-meta").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';

			}

			else if ($jsversion >= 3 and $integration == 1)
			{
				$js_key .= 'jQuery(document).ready(function(){	 jQuery(".cEvent-Rsvp").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';
				$js_key .= 'jQuery(document).ready(function(){	 jQuery(".joms-focus__actions--desktop").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';
			}
			else if($integration == 1)
			{
				$js_key .= 'jQuery(document).ready(function(){	 jQuery("#community-event-rsvp").html("' . JText::_('TICKET_RSVP_BUY') . '")	});';
			}
		}

		$document->addScriptDeclaration($js_key);
	}

	if (!$integration == 3)
	{
		if ($eventowner == $user->id and !empty($eventowner) and !empty($user->id))
		{
			if ($eventowner_buy == 0)
			{
				echo '<div  class="cModule	app-box-content"><b>' . JText::_('MOD_JTICKETING_BUY_EVENT_OWNER_CANT_BUY') . '</b></div>';

				return;
			}
		}
	}

	if (($integration == 1) OR ($integration == 3))
	{
		if (!$showbuybutton and $ispaidevent == 1)
		{
			echo '<div  class="cModule	app-box-content">
			<img class="soldout" src="' . JUri::base() . 'modules/mod_jticketing_buy/images/sold.png" />
			<br/>
			<b>' . JText::_('MOD_JTICKETING_BUY_TICKET_UNAVAILABLE') . '</b>
			</div>';

			return;
		}
	}

	$countexists = count($eventdata);

	if($countexists == 1)
	{
		if ($eventdata[0]->hide_ticket_type==1)
		{
			return;
		}

	}
	else if($countexists < 1)
	{
		return;
	}


	// If Event with unlimited seats then ignore if all event type avalaible count is  0 otherwise hide module
	if ($showbuybutton)
	{
		$load_bootstrap = $com_params->get('load_bootstrap');

		if ($load_bootstrap)
		{
			// Load bootstrap CSS and JS.
			JHtml::_('bootstrap.loadcss');
			JHtml::_('bootstrap.framework');
		}
	?>

	<div  class="cModule cEvent-Extra app-box <?php		echo JTICKETING_WRAPPER_CLASS." ".$params->get('moduleclass_sfx');?>">
		<div class="<?php	echo $bootstrapclass;?>">
			<div class="app-box-content">
				<div class="row-fluid small">
					<div class="span4">
						<strong><?php		echo JText::_('MOD_JTICKETING_BUY_TICKET_TYPE_TITLE');?></strong>
					</div>
					<div class="span4 center">
						<strong><?php		echo JText::_('MOD_JTICKETING_BUY_TICKET_TYPE_PRICE');?></strong>
					</div>
		<?php
		if (!empty($moduleParams->show_available))
		{
		?>
			<div class="span4 center">
				<strong><?php		echo JText::_('MOD_JTICKETING_BUY_TICKET_TYPE_AVAILABLE');?></strong>
			</div>
		<?php
		}?>
	</div>

	<hr class="hr hr-condensed"/>

	<?php



	foreach ($eventdata as $type)
	{
		if(((isset($type->count) and $type->count>0 and $type->unlimited_seats==0) or $type->unlimited_seats==1) and !($type->hide_ticket_type))
		{
			?>
			<div class="row-fluid small">
				<div class="span4"><?php	echo $type->title;?></div>
				<div class="span4 center">
				<?php
				if ($type->price == 0)
				{
						echo JText::_('MOD_JTICKETING_BUY_FREE_TICKET');
				}
				else
				{
						echo $jticketingmainhelper->getFromattedPrice(number_format(($type->price), 2), $currency);
				}
			?>
			</div>

			<?php
			if (!empty($moduleParams->show_available))
			{
			?>
				<div class="span4 center">
				<?php
					if ($type->unlimited_seats)
					{
						echo JText::_('MOD_JTICKETING_BUY_UNLIM_SEATS');
					}
					else
					{
						echo $type->count . '/' . $type->available;
					}
				?>
				</div>
			<?php
			}
			?>
			</div>
			<hr class="hr hr-condensed"/>
		<?php

		}
	}
	?>

<?php
$itemid = $input->get('Itemid');

// Check if button to show.
if ($showbuybutton)
{
?>
	<div class="center app-box-footer">
		<a href="<?php
					echo JRoute::_('index.php?option=com_jticketing&view=buy&layout=default&eventid=' . $eventid . '&Itemid=' . $itemid, false);
		?>"  class="btn btn-primary com_jticketing_button">
		<?php		echo JText::_('MOD_JTICKETING_BUY_BUY_BUTTON_TEXT');?>
		</a>
	</div>
<?php
}
?>	</div>
	</div>
</div>
	<?php
	}
	else
	{
		//echo '<div  class="cModule	app-box-content"><b>' . JText::_('MOD_JTICKETING_BUY_TICKET_NO_DATA') . '</b></div>';

		return;
	}

}
elseif (isset($ispaidevent) and $ispaidevent == 1)
{
	echo '<div  class="cModule	app-box-content">
			<b>' . JText::_('MOD_JTICKETING_BUY_EVENT_CANT_BUY') . '</b>
		</div>';

	return;
}
else
{

}
